kitten-edit-in-kitty(1)

Name
kitten-edit-in-kitty - Edit a file in a kitty overlay window

Usage
kitten edit-in-kitty [options] file-to-edit

Description
Edit the specified file in a kitty overlay window. Works over SSH as well. For usage instructions see: https://sw.kovidgoyal.net/kitty/shell-integration/#edit-file

Options

--title, --window-title
    The title to set for the new window. By default, title is controlled by the child process. The special value current will copy the title from the currently active window.

--tab-title
    The title for the new tab if launching in a new tab. By default, the title of the active window in the tab is used as the tab title. The special value current will copy the title from the title of the currently active tab.

--type [=window]
    Where to launch the child process: window
        A new kitty window in the current tab tab
        A new tab in the current OS window os-window
        A new operating system window overlay
        An overlay window covering the current active kitty window overlay-main
        An overlay window covering the current active kitty window. Unlike a plain overlay window, this window is considered as a main window which means it is used as the active window for getting the current working directory, the input text for kittens, launch commands, etc. Useful if this overlay is intended to run for a long time as a primary window. background
        The process will be run in the background, without a kitty window. Note that if --allow-remote-control is specified the KITTY_LISTEN_ON environment variable will be set to a dedicated socket pair file descriptor that the process can use for remote control. clipboard, primary
        These two are meant to work with --stdin-source to copy data to the system clipboard or primary selection. Choices: window, background, clipboard, os-window, overlay, overlay-main, primary, tab

--dont-take-focus, --keep-focus
    Keep the focus on the currently active window instead of switching to the newly opened window.

--cwd
    The working directory for the newly launched child. Use the special value current to use the working directory of the currently active window. The special value last_reported uses the last working directory reported by the shell (needs shell_integration to work). The special value oldest works like current but uses the working directory of the oldest foreground process associated with the currently active window rather than the newest foreground process. Finally, the special value root refers to the process that was originally started when the window was created.

--env
    Environment variables to set in the child process. Can be specified multiple times to set different environment variables. Syntax: name=value. Using name= will set to empty string and just name will remove the environment variable.

--var
    User variables to set in the created window. Can be specified multiple times to set different user variables. Syntax: name=value. Using name= will set to empty string.

--hold
    Keep the window open even after the command being executed exits, at a shell prompt.

--location [=default]
    Where to place the newly created window when it is added to a tab which already has existing windows in it. after and before place the new window before or after the active window. neighbor is a synonym for after. Also applies to creating a new tab, where the value of after will cause the new tab to be placed next to the current tab instead of at the end. The values of vsplit, hsplit and split are only used by the splits layout and control if the new window is placed in a vertical, horizontal or automatic split with the currently active window. The default is to place the window in a layout dependent manner, typically, after the currently active window. Choices: default, after, before, first, hsplit, last, neighbor, split, vsplit

--os-window-class
    Set the WM_CLASS property on X11 and the application id property on Wayland for the newly created OS window when using --type. Defaults to whatever is used by the parent kitty process, which in turn defaults to kitty.

--os-window-name
    Set the WM_NAME property on X11 for the newly created OS Window when using --type. Defaults to --os-window-class.

--os-window-title
    Set the title for the newly created OS window. This title will override any titles set by programs running in kitty. The special value current will use the title of the current OS window, if any.

--os-window-state [=normal]
    The initial state for the newly created OS Window. Choices: normal, fullscreen, maximized, minimized

--logo
    Path to a PNG image to use as the logo for the newly created window. See window_logo_path. Relative paths are resolved from the kitty configuration directory.

--logo-position
    The position for the window logo. Only takes effect if --logo is specified. See window_logo_position.

--logo-alpha [=-1]
    The amount the window logo should be faded into the background. Only takes effect if --logo is specified. See window_logo_alpha.

--color
    Change colors in the newly launched window. You can either specify a path to a .conf file with the same syntax as kitty.conf to read the colors from, or specify them individually, for example::
        --color background=white --color foreground=red

--spacing
    Set the margin and padding for the newly created window. For example: margin=20 or padding-left=10 or margin-h=30. The shorthand form sets all values, the *-h and *-v variants set horizontal and vertical values. Can be specified multiple times. Note that this is ignored for overlay windows as these use the settings from the base window.

--max-file-size [=8]
    The maximum allowed size (in MB) of files to edit. Since the file data has to be base64 encoded and transmitted over the tty device, overly large files will not perform well.

--help, -h
    Show help for this command